git: 7904bae07bd9 - main - textproc/gsed: skip panic-tests.sh when running as root...
- Go to: [ bottom of page ] [ top of archives ] [ this month ]
Date: Mon, 01 Apr 2024 17:36:25 UTC
The branch main has been updated by mandree:
URL: https://cgit.FreeBSD.org/ports/commit/?id=7904bae07bd925a89095b0b27850f8e6e1f5e958
commit 7904bae07bd925a89095b0b27850f8e6e1f5e958
Author: Matthias Andree <mandree@FreeBSD.org>
AuthorDate: 2024-04-01 16:34:50 +0000
Commit: Matthias Andree <mandree@FreeBSD.org>
CommitDate: 2024-04-01 17:36:02 +0000
textproc/gsed: skip panic-tests.sh when running as root...
...for instance as poudriere, because the tests sets up a directory
that is intended to be non-writable, which is ignored on FreeBSD 14,
and causes the panic-tests.sh to fail because sed can unexpectedly
create a temp file when running as root.
---
textproc/gsed/files/patch-testsuite_panic-tests.sh | 11 +++++++++++
1 file changed, 11 insertions(+)
diff --git a/textproc/gsed/files/patch-testsuite_panic-tests.sh b/textproc/gsed/files/patch-testsuite_panic-tests.sh
new file mode 100644
index 000000000000..4d4afeb245d6
--- /dev/null
+++ b/textproc/gsed/files/patch-testsuite_panic-tests.sh
@@ -0,0 +1,11 @@
+--- testsuite/panic-tests.sh.orig 2022-01-01 23:00:07 UTC
++++ testsuite/panic-tests.sh
+@@ -18,6 +18,8 @@ print_ver_ sed
+ . "${srcdir=.}/testsuite/init.sh"; path_prepend_ ./sed
+ print_ver_ sed
+
++test $(id -u) != 0 || exit 77 # these tests pass unexpectedly if run as root
++
+ #
+ # failure to create temp file
+ #